Loading...
Searching...
No Matches
pappso::PeakIonMatch Class Reference

`#include <peakionmatch.h>`

Inheritance diagram for pappso::PeakIonMatch:

## Public Member Functions

| PeakIonMatch (const DataPoint &peak, const PeptideFragmentIonSp &ion_sp, unsigned int charge)
| PeakIonMatch (const PeakIonMatch &other)
| PeakIonMatch (PeakIonMatch &&other)
virtual | ~PeakIonMatch ()
PeakIonMatch & | operator= (const PeakIonMatch &other)
virtual const PeptideFragmentIonSp & | getPeptideFragmentIonSp () const
const DataPoint & | getPeak () const
unsigned int | getCharge () const
PeptideIon | getPeptideIonType () const
PeptideDirection | getPeptideIonDirection () const
virtual QString | toString () const

## Private Attributes

DataPoint | _peak
PeptideFragmentIonSp | _ion_sp
unsigned int | _charge

## Detailed Description

Definition at line 39 of file peakionmatch.h.

## Constructor & Destructor Documentation

## PeakIonMatch() [1/3]

pappso::PeakIonMatch::PeakIonMatch | ( | const DataPoint & | peak,
|  | const PeptideFragmentIonSp & | ion_sp,
|  | unsigned int | charge
| ) |  |

Definition at line 35 of file peakionmatch.cpp.

: _peak(peak), _ion_sp(ion_sp), _charge(charge)
{
}
pappso::PeakIonMatch::_ion_sp
PeptideFragmentIonSp _ion_sp
Definition peakionmatch.h:65
pappso::PeakIonMatch::_charge
unsigned int _charge
Definition peakionmatch.h:66
pappso::PeakIonMatch::_peak
DataPoint _peak
Definition peakionmatch.h:64

## PeakIonMatch() [2/3]

pappso::PeakIonMatch::PeakIonMatch | ( | const PeakIonMatch & | other | ) |

Definition at line 42 of file peakionmatch.cpp.

: _peak(other._peak), _ion_sp(other._ion_sp), _charge(other._charge)
{
}

## PeakIonMatch() [3/3]

pappso::PeakIonMatch::PeakIonMatch | ( | PeakIonMatch && | other | ) |

Definition at line 47 of file peakionmatch.cpp.

: _peak(std::move(other._peak)),
_ion_sp(other._ion_sp),
_charge(std::move(other._charge))
{
}

## ~PeakIonMatch()

pappso::PeakIonMatch::~PeakIonMatch | ( |  | ) |

virtual

Definition at line 54 of file peakionmatch.cpp.

{
}

## Member Function Documentation

## getCharge()

unsigned int pappso::PeakIonMatch::getCharge | ( |  | ) | const

Definition at line 82 of file peakionmatch.cpp.

{
return _charge;
}

References _charge.

Referenced by pappso::PeptideSpectrumMatch::contains(), pappso::findComplementIonType(), and toString().

## getPeak()

const DataPoint & pappso::PeakIonMatch::getPeak | ( |  | ) | const

Definition at line 76 of file peakionmatch.cpp.

{
return _peak;
}

References _peak.

Referenced by pappso::QCPSpectrum::addMassDelta(), pappso::QCPSpectrum::addPeakIonIsotopeMatch(), and pappso::PeakIonIsotopeMatch::toString().

## getPeptideFragmentIonSp()

const PeptideFragmentIonSp & pappso::PeakIonMatch::getPeptideFragmentIonSp | ( |  | ) | const

virtual

Definition at line 70 of file peakionmatch.cpp.

{
return _ion_sp;
}

References _ion_sp.

Referenced by pappso::PeptideSpectrumMatch::contains().

## getPeptideIonDirection()

PeptideDirection pappso::PeakIonMatch::getPeptideIonDirection | ( |  | ) | const

Definition at line 94 of file peakionmatch.cpp.

{
return _ion_sp.get()->getPeptideFragmentSp().get()->getPeptideIonDirection();
}

References _ion_sp.

## getPeptideIonType()

PeptideIon pappso::PeakIonMatch::getPeptideIonType | ( |  | ) | const

Definition at line 88 of file peakionmatch.cpp.

{
return _ion_sp.get()->getPeptideIonType();
}

References _ion_sp.

Referenced by pappso::QCPSpectrum::addPeakIonIsotopeMatch().

## operator=()

PeakIonMatch & pappso::PeakIonMatch::operator= | ( | const PeakIonMatch & | other | ) |

Definition at line 60 of file peakionmatch.cpp.

{
_peak = other._peak;
_ion_sp = other._ion_sp;
_charge = other._charge;
return *this;
}

References _charge, _ion_sp, and _peak.

Referenced by pappso::PeakIonIsotopeMatch::operator=().

## toString()

QString pappso::PeakIonMatch::toString | ( |  | ) | const

virtual

Reimplemented in pappso::PeakIonIsotopeMatch.

Definition at line 100 of file peakionmatch.cpp.

{
return QString("%1").arg(
_ion_sp.get()->getCompletePeptideIonName(getCharge()));
}
pappso::PeakIonMatch::getCharge
unsigned int getCharge() const
Definition peakionmatch.cpp:82

References _ion_sp, and getCharge().

Referenced by pappso::PeakIonIsotopeMatch::toString().

## Member Data Documentation

## _charge

unsigned int pappso::PeakIonMatch::_charge

private

Definition at line 66 of file peakionmatch.h.

Referenced by getCharge(), and operator=().

## _ion_sp

PeptideFragmentIonSp pappso::PeakIonMatch::_ion_sp

private

Definition at line 65 of file peakionmatch.h.

Referenced by getPeptideFragmentIonSp(), getPeptideIonDirection(), getPeptideIonType(), operator=(), and toString().

## _peak

DataPoint pappso::PeakIonMatch::_peak

private

Definition at line 64 of file peakionmatch.h.

Referenced by getPeak(), and operator=().

The documentation for this class was generated from the following files:

- pappsomspp/psm/peakionmatch.h
- pappsomspp/psm/peakionmatch.cpp